import json
import os
import csv
import dataset
import datetime

db = dataset.connect('mysql://choozmo:pAssw0rd@db.ptt.cx:3306/hhh?charset=utf8mb4')

#db = dataset.connect('sqlite:///c:/tmp/hhh.db')
table=db['customer_list']
print (os.getcwd())
print(os.path.realpath('.'))

qlist=['IS國際設計','三宅一秀','元均制作','格倫','浩室設計','富億空間設計','雅典設計','雲方','豐聚室內裝修','上築空間設計','京璽國際','采品室內設計','恆岳空間設計','唐林設計','摩登雅舍','澤序','優尼客','允庭','比沙列','禾亞設計','禾築','我思空間','沛沛設計','亞維','恆岳','格綸']

#qlist=['元均制作','三宅一秀','采品室內設計','綵韻室內設計','春雨時尚空間','阿曼空間設計' \
#,'雅典設計','境庭國際設計','豐聚室內裝修','張馨室內設計','尚藝室內裝修','富億空間設計', \
#    '比沙列室內裝修','森境王俊宏設計','格綸設計','齊舍設計','采舍空間設計','大琚空間設計' \
#,'將作空間','昱承室內裝修','YHS DESIGN','德本迪室內設計','東風室內設計'  \
#, '陶璽空間設計','惹雅國際設計','浩室設計','藝谷空間設計','IS國際設計' \
#, '摩登雅舍室內','星葉室內裝修','浩室設計','演拓空間','千綵胤空間' \
#, '京璽國際','元典設計','朱英凱室內設計','亞維空間設計','馥築時尚設計' \
#, '文儀室內裝修','寓子設計','恆岳空間設計','卓林室內設計','歐德傢俱' \
#, '大久空間設計','成綺空間設計','知域設計','尚展空間設計','演繹動線空間' \
#, '苡希創意設計','玖柞設計','維耕設計','昱森室內設計','上築空間設計' \
#, 'HATCH合砌設計','至文室內裝修','上陽設計','禾禾設計','聯寬室內裝修']


for q in qlist:
    table.upsert({'name':q,'updated':datetime.datetime.now()},keys=['name'])


cursor=db.query('select * from customer_list')
for c in cursor:
    print(c['name'])
    print(c['updated'])

#jstr=json.dumps(qlist)
#print(jstr)

